%define name    eet
%define version 1.7.5
%define option  0
%define svn     0
%if %option
%define rel 0.%option.2
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Name:    %{name}
Version: %{version}
Release: %{release}
License: BSD
Summary: Eet library
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.5 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:	%name-%svn.tar.xz
%else
Source:	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Eet
BuildRequires: jpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: eina-devel >= %{version}
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: openssl-devel
BuildRequires: doxygen

%description
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

This package is part of the E17 desktop shell.

%package -n %libname
Summary: Eet library
Group: System/Libraries

%description -n %libname
This package contains the dynamic libraries from %name.

%package -n %libnamedev
Summary: Eet headers, static libraries, documentation and test programs
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libnamedev
Headers and static libraries from eet

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README
%_bindir/%name

%files -n %libname
%_libdir/libeet.so.%{major}*

%files -n %libnamedev
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/%name




%changelog

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412559
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339266
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333852
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327926
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321312
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320188
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290108
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.6.1-1.mga3
+ Revision: 258759
- update to 1.6.1

* Tue Jun 05 2012 trem <trem> 1.6.0-1.mga3
+ Revision: 255943
- update to 1.6.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.5.0-0.r69188.1.mga2
+ Revision: 222651
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.5.0-0.r69165.1.mga2
+ Revision: 222387
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.5.0-0.r68658.1.mga2
+ Revision: 217965
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.5.0-0.r68649.1.mga2
+ Revision: 217515
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.5.0-0.r68450.1.mga2
+ Revision: 215176
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.5.0-0.r68434.1.mga2
+ Revision: 214394
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.5.0-0.r68363.1.mga2
+ Revision: 213928
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.5.0-0.r68228.1.mga2
+ Revision: 212046
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.5.0-0.r68120.1.mga2
+ Revision: 210762
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.5.0-0.r68102.1.mga2
+ Revision: 210210
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.5.0-0.r67851.1.mga2
+ Revision: 207513
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.5.0-0.r67846.1.mga2
+ Revision: 207226
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.5.0-0.r67830.1.mga2
+ Revision: 206935
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.5.0-0.r67715.1.mga2
+ Revision: 205970
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Tue Dec 27 2011 trem <trem> 1.5.0-0.r66418.1.mga2
+ Revision: 188236
- fix svn url for export
- fix br on eina
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.5.0-0.r65867.1.mga2
+ Revision: 176064
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.5.0-0.r65688.1.mga2
+ Revision: 174216
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.5.0-0.r65613.1.mga2
+ Revision: 172939
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.5.0-0.r65428.1.mga2
+ Revision: 169702
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.5.0-0.r65369.1.mga2
+ Revision: 168688
- update to version 1.5.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.4.999-0.r65341.1.mga2
+ Revision: 168416
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.4.999-0.r65269.1.mga2
+ Revision: 168176
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.4.999-0.r65129.1.mga2
+ Revision: 167138
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.4.999-0.r65056.1.mga2
+ Revision: 166543
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.4.999-0.r64753.1.mga2
+ Revision: 163303
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.4.999-0.r64603.1.mga2
+ Revision: 160789
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.4.999-0.r64579.1.mga2
+ Revision: 160571
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.4.999-0.r64519.1.mga2
+ Revision: 160056
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.4.999-0.r64511.1.mga2
+ Revision: 159787
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.4.999-0.r64501.1.mga2
+ Revision: 159273
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.4.999-0.r64414.1.mga2
+ Revision: 158362
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.4.999-0.r64328.1.mga2
+ Revision: 157726
- update to svn release (instead of stable release)
- spec cleaning

* Mon Sep 26 2011 trem <trem> 1.4.1-3.mga2
+ Revision: 148923
- drop la files

  + fwang <fwang>
    - br gcrypt
    - rebuild for new gnutls

* Mon Jun 27 2011 trem <trem> 1.4.1-1.mga2
+ Revision: 114872
- update to 1.4.1

* Mon Apr 18 2011 ennael <ennael> 1.4.0-1.mga1
+ Revision: 87938
- clean spec file
- imported package eet


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 633902
- 1.4.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta3.2mdv2011.0
+ Revision: 622808
- rebuild

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta3.1mdv2011.0
+ Revision: 622781
- 1.4 beta3

* Sun Nov 14 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta2.1mdv2011.0
+ Revision: 597515
- 1.4.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.beta.1mdv2011.0
+ Revision: 585284
- fix file list
- 1.4.0 beta

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 549889
- New version 1.3.2

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2010.1
+ Revision: 488749
- rebuilt against libjpeg v8

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 1.2.3-1mdv2010.1
+ Revision: 478094
- new version 1.2.3

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2010.0
+ Revision: 416613
- rebuilt against libjpeg v7

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2010.0
+ Revision: 411132
- New version 1.2.2

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.1-3mdv2010.0
+ Revision: 411062
- rebuild for new eina

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 1.2.1-2mdv2010.0
+ Revision: 393187
- rebuild for new eina

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 392850
- new version 1.2.1

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 370574
- New version 1.2.0

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-5mdv2009.1
+ Revision: 346018
- Rebuild again to see if packages arrive in right place

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-4mdv2009.1
+ Revision: 345898
- Rebuild to allow kdebase4-workspace compile

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 1.1.0-3mdv2009.1
+ Revision: 345458
- SVN SNAPSHOT 20090227, release 1.1.0

* Sun Dec 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 316857
- Rebuild because of missing package

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 292035
- New version 1.1.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 266614
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 213931
- New snapshot 1.0.1

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 213930
- New major 0 -> 1
- New version 1.0.0

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.9.10.042-3mdv2008.1
+ Revision: 168738
- bump release to build E's libs in right order

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 0.9.10.042-2mdv2008.1
+ Revision: 161241
- fix URL and provides

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 0.9.10.042-1mdv2008.1
+ Revision: 161229
- new version
- tidy spec
- new devel naming policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.041-2mdv2008.1
+ Revision: 104085
- add missing eet bin
- CVS SNAPSHOT 20071031, release 0.9.10.041

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.041-1mdv2008.0
+ Revision: 76246
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.10.041

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-3mdv2008.0
+ Revision: 32619
- CVS SNAPSHOT 20070529, release 0.9.10.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-2mdv2008.0
+ Revision: 30639
- increase mkrel
- CVS snapshot 20070524, release 0.9.10.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.9.10.038-1mdv2008.0
+ Revision: 29101
- cvs snapshot 20070516, release 0.9.10.038

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.10.037-2mdv2008.0
+ Revision: 17095
- Add obsoletes so that people don't keep the old binaries

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.10.037-1mdv2008.0
+ Revision: 17082
- New snapshot
- Removed main binary package as there are no longer /usr/bin/{eet,eet_bench}
- Import eet



* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 0.9.10.025-0.20060323.2mdv2007.0
- rebuild

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.9.10.025-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.10.023-0.20060216.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.10.023-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 0.9.10.022-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 0.9.10.019-0.20051124.1mdk
- new cvs checkout

* Sat Nov 12 2005 Austin Acton <austin@mandriva.org> 0.9.10.019-0.20051112.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.9.10.018-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 0.9.10.018-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.9.10.013-0.20050904.1mdk
- new cvs checkout

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.9.10.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.9.10.010-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.9.10.008-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.9.10.007-0.20050524.2mdk
- clean spec
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.9.10.007-0.20050524.1mdk
- new cvs checkout

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-0.20040913.1mdk
- 0.9.9 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-3.20030730.1mdk
- 20030730

* Thu Jun 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-3.20030624.1mdk
- update to 20030624 CVS

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-2mdk
- provides & obsoletes

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-1mdk
- use macro
- use mklibname
- libification
- fix filelist
- clean spec
- uploaded by <tfernagut@wanadoo.be>

* Sat Jun 23 2001 The Rasterman <raster@rasterman.com>
- Created spec file
